Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class Field

    java.lang.Object
      com.mindbright.terminal.tandem6530.Field

All Implemented Interfaces:
  AsciiCodes

public class Field
extends java.lang.Object
implements AsciiCodes

Field Summary
`protected FieldAttributes` | `attribs`
`protected java.lang.StringBuffer` | `buf`
`protected int` | `cols`
`protected DataType` | `dataTypeTable`
`protected Position` | `end`
`protected int` | `len`
`protected FieldVideoAttributeMap` | `map`
`protected boolean` | `mdt`
`protected Position` | `start`

Fields inherited from interface com.mindbright.terminal.tandem6530.AsciiCodes
`BELL, BS, CR, DC1, DC2, DC3, DC4, ENQ, EOT, ESC, ETX, FS, GS, HT, LF, LRC, NUL, SOH`

Constructor Summary
`Field(int cols, Position start, Position end, FieldAttributes attribs, DataType dataTypeTable)`

Method Summary
`protected int` | `calcLen()`
`protected int` | `calcOffset(Position p)`
`protected int` | `calcOffset(Position p, boolean writeOnFieldStart)`
`void` | `clearAt(Position p)`
`void` | `clearField()`
`void` | `clearToEnd(Position p)`
`void` | `deleteChar(Position p)`
`int[]` | `getAttribs(int row)`
`char[]` | `getChars(int row)`
`java.lang.String` | `getContents()`
`Position` | `getEnd()`
`boolean` | `getMdt()`
`Position` | `getStart()`
`boolean` | `hasAutoTab()`
`void` | `insertChar(Position p)`
`boolean` | `isProtected()`
`void` | `redefine(FieldAttributes attribs)`
`void` | `resetMdt()`
`void` | `setAttrib(Position p, int attrib)`
`void` | `setEnd(Position p)`
`void` | `setPosition(Position start, Position end)`
`void` | `setStart(Position p)`
`boolean` | `writeBufferChar(Position p, char c)`
`boolean` | `writeCursorChar(Position p, char c)`
`boolean` | `writeCursorChar(Position p, char c, boolean insertMode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### start

    protected Position start

### end

    protected Position end

### attribs

    protected FieldAttributes attribs

### cols

    protected int cols

### dataTypeTable

    protected DataType dataTypeTable

### mdt

    protected boolean mdt

### len

    protected int len

### buf

    protected java.lang.StringBuffer buf

### map

    protected FieldVideoAttributeMap map

Constructor Detail

### Field

    public Field(int cols,
                 Position start,
                 Position end,
                 FieldAttributes attribs,
                 DataType dataTypeTable)

Method Detail

### redefine

    public void redefine(FieldAttributes attribs)

### setPosition

    public void setPosition(Position start,
                            Position end)

### setStart

    public void setStart(Position p)

### getStart

    public Position getStart()

### setEnd

    public void setEnd(Position p)

### getEnd

    public Position getEnd()

### getContents

    public java.lang.String getContents()

### resetMdt

    public void resetMdt()

### getMdt

    public boolean getMdt()

### isProtected

    public boolean isProtected()

### hasAutoTab

    public boolean hasAutoTab()

### calcOffset

    protected int calcOffset(Position p)

### calcOffset

    protected int calcOffset(Position p,
                             boolean writeOnFieldStart)

### writeCursorChar

    public boolean writeCursorChar(Position p,
                                   char c)

### writeCursorChar

    public boolean writeCursorChar(Position p,
                                   char c,
                                   boolean insertMode)

### writeBufferChar

    public boolean writeBufferChar(Position p,
                                   char c)

### setAttrib

    public void setAttrib(Position p,
                          int attrib)

### clearField

    public void clearField()

### clearAt

    public void clearAt(Position p)

### clearToEnd

    public void clearToEnd(Position p)

### getChars

    public char[] getChars(int row)

### getAttribs

    public int[] getAttribs(int row)

### insertChar

    public void insertChar(Position p)

### deleteChar

    public void deleteChar(Position p)

### calcLen

    protected int calcLen()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD